Bug 56281 - Installation halts when KDE is selected as the default desktop when testing the X configuration
Installation halts when KDE is selected as the default desktop when testing t...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-14 17:32 EST by Chuck Toporek
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-16 17:54:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chuck Toporek 2001-11-14 17:32:28 EST
Description of Problem:
Installation halts when KDE is selected as the default desktop when testing the X configuration

Version-Release number of selected component (if applicable):
7.2

How Reproducible:
I reinstalled once last night without any problems, and again this morning with out any problems; both times selecting GNOME as the 
default DTE. Then I installed and chose KDE as the default desktop and that's where I was able to replicate this problem. Here's an
account of what happened:

  - Selected KDE as the default desktop
  - Clicked the "Test Settings" button
  - Was able to see the test display, clicked Yes, the screen went
    blank, and the CD ejected
  - I popped out the boot floppy and closed the CD tray
  - Hit Ctrl-Alt-F1 where I saw a bunch of messages, including:

    "Gdk-ERROR **: Fatal 10 error 104 (Connection reset by peer) on X server : 1.0."

    followed by a message saying the filesystems were unmounting,
    "ejecting /tmp/cdrom", and "you may safely reboot your system".

  - Hit Ctrl-Alt-Del to reboot
  - INIT entered in runlevel 3; taken to text login
  - Logged in as root
  - Typed "Xconfigurator" at the prompt
  - Ran through Xconfig, selecting to Probe the system and was able
    to see the display; clicked Yes
  - Received the following message:

    "XConfigurator can set up your computer to automatically start
    X upon booting. Would you like X to start when you reboot?"

  - I selected Yes.
  - Next message:

    "Configuration file has been written. Take a look at it before
    running 'startx'. Note that the XF86Config file must be in one
    of the directories searched by the server (e.g. /etc/X11/
    XF86Config) in order to be used. Within the server, press
    ctrl, alt and '+' simultaneously to cycle video resolutions.
    Pressing ctrl, alt and backspace simultaneously immediately
    exits the server (use if the monitor doesn't sync for a 
    particular mode).

    "For further configuration, refer to /usr/X11R6/lib/X11/doc/
    README.Config."

  - Clicked the OK button and returned to a text prompt.
  - Typed 'startx' to start the X server
  - Even though KDE was selected as the default during the install,
    GNOME started as the default DTE.
  - Rebooting (G-->Logout-->Reboot) and INIT entered in runlevel 5,
    again with GNOME as the default DTE

Steps to Reproduce:
See above.

Actual Results:
See above.

Expected Results:
The installation should conclude, I eject the boot disk and installation CD, and things work just peachy.

Additional Information:
Comment 1 Mike A. Harris 2001-11-14 22:36:38 EST
I don't see any XFree86 issue here.  X has nothing to do with GNOME
or KDE, this sounds like an installer issue.
Comment 2 Jeremy Katz 2001-11-16 17:54:45 EST
What video hardware do you have?  The fact that the desktop type was not
properly saved is because there was a problem returning from the X test.
Comment 3 Brent Fox 2001-12-08 12:35:49 EST
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.